Summary:	KDE-based replacement for the official boincmgr program
Name:		kboincmgr
Version:	0.3.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Networking/Other
URL:		http://sourceforge.net/projects/kboincmgr
Source:		http://downloads.sourceforge.net/kboincmgr/%{name}-%{version}.tar.bz2
Patch0:		kboincmgr-0.3.0-use-automake-1.10.patch
Patch1:		kboincmgr-0.3.0-gcc-4.3.patch
BuildRequires:	kdelibs-devel
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}buildroot

%description
KBoincMgr is a replacement for the official boincmgr program. Apart the 
advantages of adhering to the KDE philosophy of ease of use, KBoincMgr 
maintains the look and feel of your other KDE applications.

%prep
%setup -qn %{name}-0.3
%patch0 -p0
%patch1 -p0

%build
make -f Makefile.cvs
%configure_kde3 --disable-final
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor='' --delete-original \
	--dir=%{buildroot}%{_kde3_datadir}/applications/kde \
	--add-category='Network;RemoteAccess;Qt;KDE' \
	%{buildroot}%{_kde3_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name} --with-html

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING INSTALL ChangeLog
%attr(755,root,root) %{_kde3_bindir}/%{name}
%{_kde3_datadir}/applications/kde/%{name}.desktop
%{_kde3_datadir}/apps/kboincmgr
%{_kde3_datadir}/icons/hicolor/*/apps/*


%changelog
* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 0.3.0-4mdv2009.0
+ Revision: 254782
- clearify license
- switch to /opt
- add gcc 4.3 patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-2mdv2008.1
+ Revision: 170912
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Funda Wang <fundawang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 73279
- Add patch to recognize automake 1.10
- use our own autotools
- run autotools at first
- New version 0.3.0


* Mon Feb 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-1mdv2007.0
+ Revision: 116176
- new version

* Wed Jan 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.3-1mdv2007.1
+ Revision: 115695
- Import kboincmgr

